Subject: Re: bug#22565: Cannot talk to upowerd over D-Bus

From: [email-masked] (Ludovic Courtès)
Date: Mon, 29 Feb 2016 10:29:03 +0100

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> I’m trying to figure out why we cannot use the Xfce menu to shut down or
>>> reboot, and while doing that I found that
>>>
>>>     loginctl poweroff
>>>
>>> (as root on the TTY) does have the intended effect.  When run as a user
>>> I see a similar error as mentioned above:
>>>
>>>     Failed to power off: Interactive authentication required.
>>>
>>> I think this is just fine.
>>
>> I don’t know if it’s fine.  :-)  I would expect that on GNOME/Xfce a
>> password window would pop up when that RPC is invoked, but I’m not sure
>> how it’s supposed to happen, or under what conditions.
>
> After strace’ing “xfce4-session” when clicking on the shutdown button in
> the Xfce menu I see the same error returned over DBus.

Presumably the underlying problem is the polkit issue (determining which
users are “active” and thus allowed to execute privileged operation)
that Andy has been working on and discussed on IRC and at:

  https://lists.gnu.org/archive/html/guix-devel/2016-02/msg01139.html
  https://lists.gnu.org/archive/html/guix-devel/2016-02/msg01000.html
  https://gnunet.org/bot/log/guix/2016-02-28#T936426

Ludo’.